#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QWidget>
#include <QLabel>
#include <QKeyEvent>
#include <QMoveEvent>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_pushButton_minus_clicked();

    void on_pushButton_plus_clicked();

    void on_pushButton_clicked();

    void on_lineEdit_textEdited(const QString &arg1);

    void on_verticalSlider_valueChanged(int value);

private:
    Ui::MainWindow *ui;
    int Value = 0;
    void updateLcd(int value);
    void updateFontSize(int size);

protected:
   virtual void keyPressEvent(QKeyEvent *event);
   virtual void keyReleaseEvent(QKeyEvent *event);
   virtual void mouseReleaseEvent(QMouseEvent* event);
};

#endif // MAINWINDOW_H
